Package org.pentaho.reporting.libraries.formula.function

# Interface ParameterCallback

public interface ParameterCallback
Creation-Date: 13.11.2006, 13:52:21

Author:
  Thomas Morgner

## Method Summary

Modifier and Type
Method
Description
`int`
`getParameterCount()`
`LValue`
`getRaw(int position)`
`Type`
`getType(int position)`
`Object`
`getValue(int position)`

## Method Details

### getRaw

LValue getRaw(int position)

### getValue

Object getValue(int position) throws EvaluationException

Throws:
  `EvaluationException`

### getType

Type getType(int position) throws EvaluationException

Throws:
  `EvaluationException`

### getParameterCount

int getParameterCount()